Subject: Re: [PATCH V10 6/6] docs: sample driver to demonstrate how to implement virtio-mdev framework

From: "Michael S. Tsirkin" <[email-masked]>
Date: Thu, 7 Nov 2019 06:21:26 -0500

On Thu, Nov 07, 2019 at 06:18:45PM +0800, Jason Wang wrote:
> 
> On 2019/11/7 下午5:08, Michael S. Tsirkin wrote:
> > On Wed, Nov 06, 2019 at 09:35:31PM +0800, Jason Wang wrote:
> > > This sample driver creates mdev device that simulate virtio net device
> > > over virtio mdev transport. The device is implemented through vringh
> > > and workqueue. A device specific dma ops is to make sure HVA is used
> > > directly as the IOVA. This should be sufficient for kernel virtio
> > > driver to work.
> > > 
> > > Only 'virtio' type is supported right now. I plan to add 'vhost' type
> > > on top which requires some virtual IOMMU implemented in this sample
> > > driver.
> > > 
> > > Acked-by: Cornelia Huck<[email-masked]>
> > > Signed-off-by: Jason Wang<[email-masked]>
> > I'd prefer it that we call this something else, e.g.
> > mvnet-loopback. Just so people don't expect a fully
> > functional device somehow. Can be renamed when applying?
> 
> 
> Actually, I plan to extend it as another standard network interface for
> kernel. It could be either a standalone pseudo device or a stack device.
> Does this sounds good to you?
> 
> Thanks

That's a big change in an interface so it's a good reason
to rename the driver at that point right?
Oherwise users of an old kernel would expect a stacked driver
and get a loopback instead.

Or did I miss something?